<!DOCTYPE HTML>
{% extends 'base.html' %}
{% load static %}
<html>
    <head>
      {% block meta %}
      <link rel="stylesheet" href="{% static 'authentication/style.css' %}">

      <title>Siruco - Login</title>
      {% endblock meta %}
    </head>

    <body class="{% block class_meta %}login-container{% endblock class_meta %}">
      {% block log_but %}disabled{% endblock log_but %}

      {% block content %}
      <div class="container">
        <div class="row"></div>
        <div class="row align-items-center">
          <div class="col"></div>
          <div class="col-6">
            <form method="POST" action="{% url 'authentication:login' %}">
              {% csrf_token %}
              <figure class="text-center">
                <h3>Siruco - Login</h3>
              </figure>
              <div class="mb-3">
                <label for="usernameInput" class="form-label">Username</label>
                <input type="text" class="form-control" name="username" id="usernameInput" placeholder="Username" required>
              </div>

              <div class="mb-3">
                <label for="passwordInput" class"form-label">Password</label>
                <input type="password" class="form-control" name="password" id="passwordInput" placeholder="Password" required>
              </div>

              <figure class="text-center">
                {% for message in messages %}
                {{ message }}
                <br>
                {% endfor %}

                <button type="submit" class="btn btn-outline-success">Login</button>

                <p>Belum punya akun? <a href="{% url 'authentication:register' %}">Register</a></p>

                {% if request.session.username %}
                <h1>Berhasil {{ request.session.username }} {{ request.session.peran }}</h1>
                <a href={% url 'authentication:logout' %}>logout</a>
                {% endif %}
              </figure>
            </form>
          </div>
          <div class="col"></div>
        </div>
      </div>
      {% endblock content %}
      
    </body>
</html>